# Generated by Django 2.0.6 on 2018-07-02 09:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Rank',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('rank', models.BooleanField(default=False, help_text='True is like and False is dislike')),
                ('date', models.DateField(auto_now=True)),
                ('answer', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='app.Answer')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.AlterUniqueTogether(
            name='rank',
            unique_together={('user', 'answer')},
        ),
    ]
